Bug 1985514 - allow-from-router feature doesn't work on v6 only single stack cluster
Summary: allow-from-router feature doesn't work on v6 only single stack cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Aniket Bhat
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1985512
Blocks: 1985516
TreeView+ depends on / blocked
 
Reported: 2021-07-23 19:06 UTC by Aniket Bhat
Modified: 2021-08-10 11:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1985512
: 1985516 (view as bug list)
Environment:
Last Closed: 2021-08-10 11:28:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 624 0 None open [release-4.8] Bug 1985514: Add v6 management interface address for host network policy 2021-07-26 20:23:21 UTC
Red Hat Product Errata RHSA-2021:2983 0 None None None 2021-08-10 11:29:27 UTC

Description Aniket Bhat 2021-07-23 19:06:03 UTC
+++ This bug was initially created as a clone of Bug #1985512 +++

Description of problem:

In a v6 only ovn-k cluster, the management interface IP is not added to the address set used for classifying host network traffic. This causes the allow-from-router network policy to not work correctly on platforms where the endpoint publishing strategy is "HostNetwork"

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Create a single stack v6 cluster on vsphere or a platform where the endpoint publishing strategy is HostNetwork
2.Create allow from ingress network policy
3.try external access to service in the cluster that is v6

Actual results:
service is not reliably accessible since the v6 management IP is not added to the address set for classifying host network traffic

Expected results:
External access to a service in a single stack v6 cluster works reliably. 


Additional info:

Comment 4 zhaozhanqi 2021-07-30 01:55:35 UTC
Move this bug to verified according to https://bugzilla.redhat.com/show_bug.cgi?id=1985514#c1

Comment 7 errata-xmlrpc 2021-08-10 11:28:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.4 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2983


Note You need to log in before you can comment on or make changes to this bug.